Package it.ernytech.tdlib

## Class TdApi.PageBlockAnimation

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.PageBlock
    - - it.ernytech.tdlib.TdApi.PageBlockAnimation

Enclosing class:
  TdApi

    public static class TdApi.PageBlockAnimation
    extends TdApi.PageBlock

An animation.

### Field Summary

Fields
`TdApi.Animation` `animation` Animation file; may be null.
`TdApi.RichText` `caption` Animation caption.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `needAutoplay` True, if the animation should be played automatically.

### Constructor Summary

Constructors
`PageBlockAnimation()` Default constructor.
`PageBlockAnimation​(TdApi.Animation animation, TdApi.RichText caption, boolean needAutoplay)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### animation

    public TdApi.Animation animation

Animation file; may be null.

#### caption

    public TdApi.RichText caption

Animation caption.

#### needAutoplay

    public boolean needAutoplay

True, if the animation should be played automatically.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### PageBlockAnimation

    public PageBlockAnimation()

Default constructor.

#### PageBlockAnimation

    public PageBlockAnimation​(TdApi.Animation animation,
                              TdApi.RichText caption,
                              boolean needAutoplay)

Constructor for initialization of all fields.

Parameters:
  `animation` - Animation file; may be null.
  `caption` - Animation caption.
  `needAutoplay` - True, if the animation should be played automatically.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR